Bug 610791 - events timeline shows dots but no event message details
events timeline shows dots but no event message details
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All All
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 09:11 EDT by John Mazzitelli
Modified: 2014-05-29 17:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
agent-parent.png GOOD (72.19 KB, image/png)
2010-07-02 09:11 EDT, John Mazzitelli
no flags Details
agent-child.png INCORRECT (55.06 KB, image/png)
2010-07-02 09:11 EDT, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2010-07-02 09:11:30 EDT
Created attachment 429054 [details]
agent-parent.png GOOD

Description of problem:

If I have a child resource whose parent is collecting events, the child Monitor tab shows "dots" in the events/log tracking timeline (even though the child did not collect any events, its the parent that did - the child doesn't even have an Events tab). If I click a event "dot", I see the blue message box that opens saying "there are no events of this type in the time window". Which seems disjointed - the event timeline showed me dots for the time windows, but when I want to see what the details are, it tells me there are no events.

If I go to the parent resource that was the source of the events, then I do see the events timeline work and I see the message details.

Version-Release number of selected component (if applicable):

3.0.0

How reproducible:

1. Import an RHQ Agent resource, and see that its child JVM resources are also automatically imported as well
2. Enable the RHQ Agent event tracking, turning on events for agent.log
3. Wait for messages to appear
4. Go to the child JVM resources, or its grandchildren resources - their Monitor tab specifically
5. Look at the events timeline, click a "dot" that indicates an event occurred
6. See the message "there are no events"

Actual results:

You are told there are no events, even though the timeline indicated there were with the colored dots.

Expected results:

I'm actually not sure what to expect. The resource was not the source of the events, so you would think the event timeline wouldn't even show me the dots at all.

However, it is kinda cool to see a child resource indicate to me that events occurred in its parent server. So if we want to continue supporting this view (having children indicate events that occurred in its enclosing parent server) then we should allow a user to click the event dot and see the parent's event message details.

Either way, we need to fix how it works now. We either don't show the event dots on the event/classloading timeline or we keep that and also be able to see the message details.

Additional info:

See attached images for examples of the parent RHQ Agent with the full event info and one of its children with the event dots and the "no events" message.
Comment 1 John Mazzitelli 2010-07-02 09:11:59 EDT
Created attachment 429055 [details]
agent-child.png INCORRECT
Comment 2 John Mazzitelli 2010-07-02 09:16:24 EDT
SIDE NOTE: The Summary>Timeline subtab does not show me any events indicators. I'm leaning to think that its a bug that the child Monitor tab event/log tracking timeline showed the colored dots in the first place.
Comment 3 John Mazzitelli 2010-07-02 09:58:00 EDT
this is worse than I thought - even my platform is showing me the events dots on its Monitor tab - but I only ever enabled events on the agent.

I have a feeling the query to determine which resources had which events is bogus. Its giving wrong results. Only the agent resource should have events but all resources are showing they have events.  Even my CPU resources have these event dots on the events timeline.
Comment 7 John Mazzitelli 2011-03-31 15:09:47 EDT
the query is performed by:

org.rhq.enterprise.server.event.EventManagerBean.getSeverityBucketsByContext(Subject, EntityContext, long, long, int)

which is called from:

org.rhq.enterprise.gui.measurement.graphs.EventsTimelineUIBean.EventsTimelineUIBean()

which is used in:

modules/enterprise/gui/portal-war/src/main/webapp/rhq/common/monitor/events/data-plain.xhtml

which is included in:

modules/enterprise/gui/portal-war/src/main/webapp/rhq/common/monitor/graphs-plain.xhtml

For now, I think we can just comment out the event bar in graphs-plain.xhtml and fix the underlying server side code for use in the GWT UI later.
Comment 8 John Mazzitelli 2011-03-31 15:41:33 EDT
the commit 8bd52cd028bd7fc6547c52c846de539fd46a21aa has removed the Event/Log Tracking bar from the JSF graph page since its broken. We'll come back around and fix this when we port this page to GWT.

Leaving this in the ASSIGNED state since it should be fixed, but will not block rhq4
Comment 9 Jay Shaughnessy 2014-05-29 17:13:40 EDT
I think this may still be valid as Timeline remains a JSF chart...

Note You need to log in before you can comment on or make changes to this bug.